Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
Posts: 29
Registered: ‎05-29-2012
My Device: Curve 9320
My Carrier: Vodacom SA

Help with the Eclipse of: Cannot find RIMUsbJni.dll.Without this dll the IDE cannot connect to USB enabled Handhelds. Add RIMUsb to java.library.path

Hello fellow Devs,

 

So I have this problem popup screen that I will attach as a screenie.. I am using the latest JDK 7 and also the latest BlackBerry API for Eclipse.. Everything is 64 bit..

I do however come across 2 (nonfatal) yet irritating msgs when I open Eclipse:

 

1) Cannot find RIMIDEWin32Util.dll This is a required component of the IDE

 

2) Cannot find RIMUsbJni.dll.Without this dll the IDE cannot connect to USB enabled Handhelds. Add RIMUsb to java.library.path

 

Has anyone also have/had this problem??? It would be soo nice to export my projects strait to my phone, instead of using a simulator, els I have to upload the jad and cod files onto my server and download the app OTA which really can be time consuming..

 

Any help would be EXTREAMLY appreciated!

 

Thanky in advance! 

 

Cannot find RIMIDEWin32Util.dll This is a requiredcomponent of the IDE.PNG

 

Cannot find RIMIDEWin32Util.dll This is a requiredcomponent of the IDE.PNG


Developer
Posts: 19,636
Registered: ‎07-14-2008
My Device: Not Specified

Re: Help with the Eclipse of: Cannot find RIMUsbJni.dll.Without this dll the IDE cannot connect to USB enabled Handhelds. Add RIMUsb to java.library.path

Sorry can't really help but I note this:

"Eclipse 3.7 classic 32b"       

in the requestites here:

http://developer.blackberry.com/java/download/requirements/

 

I think that means 32 bit. 

Developer
Posts: 29
Registered: ‎05-29-2012
My Device: Curve 9320
My Carrier: Vodacom SA

Re: Help with the Eclipse of: Cannot find RIMUsbJni.dll.Without this dll the IDE cannot connect to USB enabled Handhelds. Add RIMUsb to java.library.path

I appreciate you feedback Peter-Strange, I am aware that it make referance to 32 bit in the requirements... I have searched the net and forums but this is very little or no discussion on this topic, I suppose one way to fix it is to revery my installments back to 32 Bit, which would be a shame, as 64 is def MUCH faster.. I'm wondering if there is a patch or possibly a work around to this, I can install the my apps via the BLACKBERRY® desktop util using the alx file, but was hoping that anyone els might have any other ideas..????